Get previous book in series
curl --request GET \
--url https://demo.komga.org/api/v1/books/{bookId}/previous \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://demo.komga.org/api/v1/books/{bookId}/previous"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://demo.komga.org/api/v1/books/{bookId}/previous', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://demo.komga.org/api/v1/books/{bookId}/previous",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://demo.komga.org/api/v1/books/{bookId}/previous"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://demo.komga.org/api/v1/books/{bookId}/previous")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://demo.komga.org/api/v1/books/{bookId}/previous")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"created": "2023-11-07T05:31:56Z",
"deleted": true,
"fileHash": "<string>",
"fileLastModified": "2023-11-07T05:31:56Z",
"id": "<string>",
"lastModified": "2023-11-07T05:31:56Z",
"libraryId": "<string>",
"media": {
"comment": "<string>",
"epubDivinaCompatible": true,
"epubIsKepub": true,
"mediaProfile": "<string>",
"mediaType": "<string>",
"pagesCount": 123,
"status": "<string>"
},
"metadata": {
"authors": [
{
"name": "<string>",
"role": "<string>"
}
],
"authorsLock": true,
"created": "2023-11-07T05:31:56Z",
"isbn": "<string>",
"isbnLock": true,
"lastModified": "2023-11-07T05:31:56Z",
"links": [
{
"label": "<string>",
"url": "<string>"
}
],
"linksLock": true,
"number": "<string>",
"numberLock": true,
"numberSort": 123,
"numberSortLock": true,
"releaseDateLock": true,
"summary": "<string>",
"summaryLock": true,
"tags": [
"<string>"
],
"tagsLock": true,
"title": "<string>",
"titleLock": true,
"releaseDate": "2023-12-25"
},
"name": "<string>",
"number": 123,
"oneshot": true,
"seriesId": "<string>",
"seriesTitle": "<string>",
"size": "<string>",
"sizeBytes": 123,
"url": "<string>",
"readProgress": {
"completed": true,
"created": "2023-11-07T05:31:56Z",
"deviceId": "<string>",
"deviceName": "<string>",
"lastModified": "2023-11-07T05:31:56Z",
"page": 123,
"readDate": "2023-11-07T05:31:56Z"
}
}{
"violations": [
{
"fieldName": "<string>",
"message": "<string>"
}
]
}Books
Get previous book in series
GET
/
api
/
v1
/
books
/
{bookId}
/
previous
Get previous book in series
curl --request GET \
--url https://demo.komga.org/api/v1/books/{bookId}/previous \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://demo.komga.org/api/v1/books/{bookId}/previous"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://demo.komga.org/api/v1/books/{bookId}/previous', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://demo.komga.org/api/v1/books/{bookId}/previous",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://demo.komga.org/api/v1/books/{bookId}/previous"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://demo.komga.org/api/v1/books/{bookId}/previous")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://demo.komga.org/api/v1/books/{bookId}/previous")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"created": "2023-11-07T05:31:56Z",
"deleted": true,
"fileHash": "<string>",
"fileLastModified": "2023-11-07T05:31:56Z",
"id": "<string>",
"lastModified": "2023-11-07T05:31:56Z",
"libraryId": "<string>",
"media": {
"comment": "<string>",
"epubDivinaCompatible": true,
"epubIsKepub": true,
"mediaProfile": "<string>",
"mediaType": "<string>",
"pagesCount": 123,
"status": "<string>"
},
"metadata": {
"authors": [
{
"name": "<string>",
"role": "<string>"
}
],
"authorsLock": true,
"created": "2023-11-07T05:31:56Z",
"isbn": "<string>",
"isbnLock": true,
"lastModified": "2023-11-07T05:31:56Z",
"links": [
{
"label": "<string>",
"url": "<string>"
}
],
"linksLock": true,
"number": "<string>",
"numberLock": true,
"numberSort": 123,
"numberSortLock": true,
"releaseDateLock": true,
"summary": "<string>",
"summaryLock": true,
"tags": [
"<string>"
],
"tagsLock": true,
"title": "<string>",
"titleLock": true,
"releaseDate": "2023-12-25"
},
"name": "<string>",
"number": 123,
"oneshot": true,
"seriesId": "<string>",
"seriesTitle": "<string>",
"size": "<string>",
"sizeBytes": 123,
"url": "<string>",
"readProgress": {
"completed": true,
"created": "2023-11-07T05:31:56Z",
"deviceId": "<string>",
"deviceName": "<string>",
"lastModified": "2023-11-07T05:31:56Z",
"page": 123,
"readDate": "2023-11-07T05:31:56Z"
}
}{
"violations": [
{
"fieldName": "<string>",
"message": "<string>"
}
]
}Authorizations
basicAuthapiKey
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes